import ApiModel from "~/models/ApiModel";
import {Num, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model: Cycle
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Education/Cycle.php
 */
export default class Cycle extends ApiModel {
  static entity = 'cycles'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare label: string|null

  @Num(0)
  declare order: number
}
